package com.pj.api.jh.task;

import cn.hutool.extra.spring.SpringUtil;
import com.pj.current.task.Task;
import com.pj.project.tb_order.TbOrder;
import com.pj.project.tb_order.TbOrderService;
import lombok.extern.slf4j.Slf4j;

@Slf4j
public class StartUpCheckPayStatusTask extends Task {
    public StartUpCheckPayStatusTask(String id, long delayInMilliseconds) {
        super(id, delayInMilliseconds);
    }

    @Override
    public void run() {
        TbOrderService tbOrderService = SpringUtil.getBean(TbOrderService.class);
        tbOrderService.check();
    }
}
